@use "sass:math";

@import '_theme.scss';


/* Boxings */
.is-rounded-default{
  border-radius: $border-radius;
}

.is-rounded-small{
  border-radius: math.div($border-radius, 2);
}

.is-full-width{
  width: 100%;
}

/* Sizes */
.has-width-60{
  width: 60%;
}

.is-full-height{
  height: 100%;
}


/* Layouts */
.is-centered{
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.is-centered-column{
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-items: center;
  justify-content: space-around;
  overflow: auto;
}

.is-list-column{
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.is-filling-list{
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
}

/* Colors */
.has-background-success-transparent {
  background: $success-transparent;
}

.has-background-warning-transparent {
  background: $warning-transparent;
}

.has-background-error-transparent {
  background: $error-transparent;
}

.has-background-info-transparent {
  background: $info-transparent;
}

/* Effects */
.has-strong-shadow{
  box-shadow: 0 0 0 0 rgba(0, 0, 0, 0), 0.1em 0.4em 0.6em 0.1em rgba(0, 0, 0, 0.4);
}

.has-button-effects{
  cursor: pointer;
}
